FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development Java

 
 
LinkBack Thread Tools
 
Old 11-17-2010, 10:08 AM
 
Default Maven2 package drags in a lot of non required dependencies

Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=654266

--- Comment #1 from Alexander Kurtakov <akurtako@redhat.com> 2010-11-17 06:08:42 EST ---
It doesn't require netbeans-ide but it requires netbeans-cvs library. Which has
been separate in a rpm of it's own and fixed in Fedora 14.
A big number of this packages is mandatory i.e. will be downloaded by maven on
the first run by shipping them we allow people to run maven even without
Internet access.
This is by no means saying that there aren't unneeded dependencies but we need
them pointed just like you did with the netbeans-ide which has been addressed
already. Also it would be good if you update to Fedora 14 because Maven has
been updated to version 2.2.1 and a number of dependencies has
changed/simplified and etc.

--
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel
 
Old 11-17-2010, 10:14 AM
 
Default Maven2 package drags in a lot of non required dependencies

Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=654266

--- Comment #2 from Guido Grazioli <guido.grazioli@gmail.com> 2010-11-17 06:14:56 EST ---
> (does maven really require netbeans-ide to work?!??!?)

Unfortunately; maven-scm relies on cvsclient which is a library component of
netbeans-ide package in F13. That has been fixed in F14 where cvsclient was
stripped out (you will still get netbeans-platform pull in the yum transaction
though).

See also #572165 #626455

--
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel
 
Old 11-26-2010, 11:51 AM
 
Default Maven2 package drags in a lot of non required dependencies

Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=654266

--- Comment #3 from Alexander Kurtakov <akurtako@redhat.com> 2010-11-26 07:51:11 EST ---
I'll soon(1 week) close this bug unless there are some unneeded dependencies on
F14 identified.
The change to maven 2.2.1 is not something that will happen to F13 nor netbeans
will be updated to the new version with separate cvsclient.

--
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
--
java-devel mailing list
java-devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/java-devel
 

Thread Tools




All times are GMT. The time now is 12:59 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org